# png::image< pixel >::pixel_consumer Class Reference

The pixel buffer adapter for reading pixel data. More...

`#include <image.hpp>`

Inheritance diagram for png::image< pixel >::pixel_consumer:

List of all members.

## Public Member Functions

| pixel_consumer (image_info &info, pixbuf &pixels)
void | reset (size_t pass)

## Detailed Description

### template<typename pixel>
class png::image< pixel >::pixel_consumer

The pixel buffer adapter for reading pixel data.

## Constructor & Destructor Documentation

template<typename pixel>

png::image< pixel >::pixel_consumer::pixel_consumer | ( | image_info & | info,
|  | pixbuf & | pixels
| ) |  | `[inline]`

## Member Function Documentation

template<typename pixel>

void png::image< pixel >::pixel_consumer::reset | ( | size_t | pass ) | `[inline]`

References png::image< pixel >::get_height(), png::image< pixel >::get_width(), png::image< pixel >::streaming_impl< base_impl >::m_pixbuf, and png::basic_pixel_buffer< pixel, row, traits >::resize().

The documentation for this class was generated from the following file:

- image.hpp